/* -*- C++ -*- Time-stamp: <14 Nov 00 20:01:06 Michael Bischoff> */

/*****************************************************************************/
/*									     */
/*									     */
/*	QMatchIt version 1.0 -- file canvas.cpp				     */
/*									     */
/*	Implementation of the base graphics class of QMatchIt		     */
/*	written by Michael Bischoff (Michael.Bischoff@gmx.net)		     */
/*	November-2000							     */
/*	see COPYRIGHT.qmatchit for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/

#include "canvas.h"

#include <qcanvas.h>
#include <qpixmap.h>
#include <qlist.h>
#include <qpoint.h>

#include "tokens.xpm"

int			QMatchItGraphics::xscale = 0;
int			QMatchItGraphics::yscale = 0;
QPixmap **		QMatchItGraphics::pixmaps = 0;
QCanvasPixmapArray *	QMatchItGraphics::pa = 0;
QCanvas	*		QMatchItGraphics::canvas = 0;

void QMatchItGraphics::initialize(int maxx, int maxy) {
    QPixmap *pic = new QPixmap(tokens_xpm);
    QPixmap **pixmaps = new QPixmap *[8 * 8];
    QList<QPixmap> plist;
    QList<QPoint> hlist;
    QPoint hotspot (0,0);

    xscale = pic->width() / 8;
    yscale = pic->height() / 8;

    for (int y = 0; y < 8; ++y) {
	for (int x = 0; x < 8; ++x) {
	    int i = x + y * 8;
	    pixmaps[i] = new QPixmap(xscale, yscale);
	    QBitmap sprite_mask(xscale, yscale);
	    bitBlt(pixmaps[i], 0, 0, pic, xscale * x, yscale * y, xscale, yscale, Qt::CopyROP);
	    bitBlt(&sprite_mask,  0, 0, pic->mask(), xscale * x, yscale * y, xscale, yscale, Qt::CopyROP);
	    pixmaps[i]->setMask(sprite_mask);
	    plist.insert(i, pixmaps[i]);
	    hlist.insert(i, &hotspot);
	}
    }

    pa = new QCanvasPixmapArray(plist, hlist);
    canvas = new QCanvas(maxx * xscale, maxy * yscale);
    canvas->setBackgroundColor("black");
}
