/* -*- C++ -*- Time-stamp: <14 Nov 00 20:55:58 Michael Bischoff> */

/*****************************************************************************/
/*									     */
/*									     */
/*	QMatchIt version 1.0 -- file canvas.h				     */
/*									     */
/*	Include file for the basic classes of QMatchIt			     */
/*	written by Michael Bischoff (Michael.Bischoff@gmx.net)		     */
/*	November-2000							     */
/*	see COPYRIGHT.qmatchit for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/

#ifndef CANVAS_H
#define CANVAS_H

#include <qcanvas.h>

/* The class QMatchItGraphics has only static members.
   This class provides the graphic which is used for all instances of
   fieldGraphics */

class QMatchItGraphics {
    static int xscale;
    static int yscale;
    static QPixmap **pixmaps;
    static QCanvasPixmapArray *pa;
    static QCanvas *canvas;
    QMatchItGraphics();		// private constructor disables instances
 public:
    static void initialize(int maxx, int maxy);		// define all the data
    static int getXScale() { return xscale; };
    static int getYScale() { return yscale; };
    static QCanvas *getCanvas() { return canvas; };
    static QCanvasPixmapArray *getPixmapArray() { return pa; };
};

#endif
